package com.halo.halomobisdk

import android.os.Bundle
import android.view.View
import android.widget.TextView
import android.widget.Toast
import androidx.appcompat.app.AppCompatActivity
import androidx.constraintlayout.widget.ConstraintLayout
import com.halo.halojuhesdk.sdk.HlNativeAd
import com.halo.halojuhesdk.sdk.listener.HlNativeAdListener
import com.halomobi.halomobisdk.R
import org.json.JSONObject

class NativeActivity : AppCompatActivity() {
    private var hlNativeAd: HlNativeAd? = null
    private var mConstraintLayout: ConstraintLayout? = null

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_native)
        findViewById<TextView>(R.id.load).setOnClickListener {
            loadNativeAd()
        }
        mConstraintLayout = findViewById(R.id.constraint)

    }

    private fun loadNativeAd() {
        hlNativeAd = HlNativeAd(this, "2686404", object : HlNativeAdListener {
            override fun onADLoadView(view: View?, adTypeStr: String, ratio: Float) {
                mConstraintLayout?.removeAllViews()
                mConstraintLayout?.addView(view)
                val ecpmMap = hlNativeAd?.ecpmMap
                val jsonObject = JSONObject()
                ecpmMap?.forEach { (key, value) ->
                    jsonObject.put(key, value)
                }
                findViewById<TextView>(R.id.price_show).text = jsonObject.toString()
            }

            override fun onADClick(view: View?, adTypeStr: String) {
            }

            override fun onADShow(view: View?, adTypeStr: String) {
            }

            override fun onADClose(view: View?) {
                mConstraintLayout?.removeAllViews()
            }

            override fun onADError(errorMsg: String?, errorCode: Int) {
                Toast.makeText(this@NativeActivity, "===error===$errorMsg",Toast.LENGTH_LONG).show()
            }
        })
        hlNativeAd?.loadData()
    }
}