package com.halo.halomobisdk

import android.os.Bundle
import android.widget.TextView
import android.widget.Toast
import androidx.appcompat.app.AppCompatActivity
import com.halo.halojuhesdk.sdk.HlVideoAd
import com.halo.halojuhesdk.sdk.listener.HlVideoListener
import com.halomobi.halomobisdk.R
import org.json.JSONObject

class RewardActivity : AppCompatActivity() {
    private var hlVideoAd: HlVideoAd? = null

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_reward)

        findViewById<TextView>(R.id.load).setOnClickListener {
            loadRewardAd()
        }
        findViewById<TextView>(R.id.show).setOnClickListener {
            hlVideoAd?.show()
        }
    }

    private fun loadRewardAd() {
        hlVideoAd = HlVideoAd(this, "2686403", object : HlVideoListener {
            override fun onSuccess() {
                Toast.makeText(this@RewardActivity, "==onSuccess===${hlVideoAd?.ecpm}", Toast.LENGTH_SHORT).show()
                val ecpmMap = hlVideoAd?.ecpmMap
                val jsonObject = JSONObject()
                ecpmMap?.forEach { (key, value) ->
                    jsonObject.put(key, value)
                }
                findViewById<TextView>(R.id.price_show).text = jsonObject.toString()
            }

            override fun onAdFailed(errorMsg: String, errorCode: Int) {
                Toast.makeText(this@RewardActivity, "==error===$errorMsg", Toast.LENGTH_SHORT).show()
            }

            override fun onAdShow() {
            }

            override fun onAdClose() {
            }

            override fun onAdClick() {
            }

            override fun onPlayEnd() {
            }

            override fun onSkipped() {
            }

            override fun onRewardArrived() {
            }
        })
        hlVideoAd?.loadAd()
    }
}